Skip to main content
`Ctrl`+`K`

# PF

Abstract PETSc mathematical function that can be evaluated with `PFApply()` and may be constructed at run time (see `PFSTRING`)

## Synopsis

    typedef struct _p_PF *PF;

## See Also

`PFCreate()`, `PFDestroy()`, `PFSetType()`, `PFApply()`, `PFApplyVec()`, `PFSet()`, `PFType`

## Level

beginner

## Location

include/petscpf.h

## Examples

src/dm/tutorials/ex4.c
src/snes/tutorials/ex22.c

## Implementations

_p_PF in src/vec/pf/pfimpl.h
PF_Matlab in src/vec/pf/impls/matlab/cmatlab.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages